GET
Get deployment details

Authorizations

Authorization
string
header
required

Bearer token for authentication. Format: 'Bearer {token}'

Headers

X-Workspace-Id
string

Workspace ID (uses default workspace if not provided)

Path Parameters

uuid
string
required

Application UUID

id
string
required

Deployment UUID

Response

Get deployment details

Api_V1_Entities_Deployment model

uuid
string
required

Unique deployment identifier

state
string
required

Current deployment state (pending, running, completed, failed, cancelling, cancelled)

commit_sha
string
required

Commit SHA this deployment shipped (null for non-git deployment methods)

commit_message
string
required

Commit message for the deployed commit (null for non-git deployment methods)

branch
string
required

Branch this deployment shipped from (null for non-git deployment methods)

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

logs_stored_at
string<date-time>
required

Timestamp when logs were stored (null if not yet stored)